
// MenuDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Menu.h"
#include "MenuDlg.h"
#include "PopUpmenu.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMenuDlg dialog

CMenuDlg::CMenuDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMenuDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMenuDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMenuDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMenuDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CMenuDlg, CDialog)
	//{{AFX_MSG_MAP(CMenuDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_DRAWITEM()
	ON_WM_LBUTTONUP()
	ON_WM_MEASUREITEM()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMenuDlg message handlers

BOOL CMenuDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}
	
	map.LoadBitmap(IDB_BITMAP1);
	Mydc.CreateCompatibleDC(GetDC());
	map.GetBitmap(&info);
	Mydc.SelectObject(&map);
	
	map1.LoadBitmap(IDB_BITMAP3);
	Mydc1.CreateCompatibleDC(GetDC());
	map1.GetBitmap(&info1);
	Mydc1.SelectObject(&map1);

	map2.LoadBitmap(IDB_BITMAP2);
	Mydc2.CreateCompatibleDC(GetDC());
	map2.GetBitmap(&info2);
	Mydc2.SelectObject(&map2);

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	
	map3.LoadBitmap(IDB_SHILPA);
	Mydc3.CreateCompatibleDC(GetDC());
	map3.GetBitmap(&info3);
	Mydc3.SelectObject(&map3);
	
	InitPopUpMenu();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CMenuDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.


void CMenuDlg::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
	
	
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMenuDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CMenuDlg::OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct) 
{
	CDC *dc=NULL;
	dc=CDC::FromHandle(lpDrawItemStruct->hDC);
	
	if(lpDrawItemStruct->itemState & ODS_SELECTED)
	{
	
		switch(lpDrawItemStruct->itemID)
		{
			case ID_ENJOY1:
			{
				CRect rb=lpDrawItemStruct->rcItem;
				dc->Rectangle(rb);
	
				dc->FillSolidRect(rb,RGB(120,60,0));
				rb.DeflateRect(2,2);
				
				dc->BitBlt(rb.left+30,rb.top,rb.right-2-rb.left-30,rb.bottom-rb.top,
							&Mydc,
							0,3,
							SRCCOPY);
				
				dc->SetTextColor(RGB(255,255,255));
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,lpDrawItemStruct->rcItem.top+3,"GoodBoy");	
				break;
			}
			case ID_FILE_LAB1:
			{
	
	
				CRect rb=lpDrawItemStruct->rcItem;
				dc->Rectangle(rb);
	
				dc->FillSolidRect(rb,RGB(120,60,0));
				rb.DeflateRect(2,2);
				
				dc->BitBlt(rb.left+30,rb.top,rb.right-2-rb.left-30,rb.bottom-rb.top,
							&Mydc,
							0,3,
							SRCCOPY);
				
				dc->SetTextColor(RGB(255,255,255));
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,lpDrawItemStruct->rcItem.top+3,"Kub");
				break;
			}
			
			case ID_FILE_MAB1:
			{
				CRect rb=lpDrawItemStruct->rcItem;
				dc->Rectangle(rb);
				rb.DeflateRect(2,2);
				dc->FillSolidRect(rb,RGB(120,60,0));
				rb.DeflateRect(2,2);
				
				dc->BitBlt(rb.left+30,rb.top,rb.right-2-rb.left-30,rb.bottom-rb.top,
							&Mydc2,
							0,3,
							SRCCOPY);
				
				dc->SetTextColor(RGB(255,255,255));
				
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,lpDrawItemStruct->rcItem.top+3,"Sub");
			break;
			}
			case ID_FILE_TAB1:
			{
				CRect rb=lpDrawItemStruct->rcItem;
				dc->Rectangle(rb);
				rb.DeflateRect(2,2);
				dc->FillSolidRect(rb,RGB(120,60,0));
				rb.DeflateRect(2,2);
				
				dc->BitBlt(rb.left+30,rb.top,rb.right-2-rb.left-30,rb.bottom-rb.top,
							&Mydc2,
							0,3,
							SRCCOPY);
				
				dc->SetTextColor(RGB(255,255,255));
				
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,lpDrawItemStruct->rcItem.top+3,"Dub");
			break;
			}
			case ID_FILE_CAB1:
			{
				
				CRect rb=lpDrawItemStruct->rcItem;
				dc->Rectangle(rb);
				rb.DeflateRect(2,2);
				dc->FillSolidRect(rb,RGB(120,60,0));
				rb.DeflateRect(2,2);
				
				dc->BitBlt(rb.left+30,rb.top,rb.right-2-rb.left-30,rb.bottom-rb.top,
							&Mydc,
							0,3,
							SRCCOPY);
				
				dc->SetTextColor(RGB(255,255,255));
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,lpDrawItemStruct->rcItem.top+3,"Mub");
			break;
			}
			default:
			{
				CRect rb=lpDrawItemStruct->rcItem;
				dc->Rectangle(rb);
				rb.DeflateRect(2,2);
				dc->FillSolidRect(rb,RGB(255,155,255));
				rb.DeflateRect(2,2);
				
				dc->SetTextColor(RGB(155,55,85));
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,
					lpDrawItemStruct->rcItem.top+1,"Enjoy");
				
			}
		}
	}
	else
	{
		switch(lpDrawItemStruct->itemID)
		{
			case ID_ENJOY1:
			{
				CRect rb=lpDrawItemStruct->rcItem;
				dc->BitBlt(0,rb.top,info3.bmWidth,rb.Height(),&Mydc3,0,rb.top,SRCCOPY);
				rb.DeflateRect(2,2);
				rb.DeflateRect(2,2);
			
				dc->SetTextColor(RGB(25,255,255));
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,lpDrawItemStruct->rcItem.top+3,"GoodBoy");	
				break;
			}
			
			case ID_FILE_LAB1:
			{
				
				CRect rb=lpDrawItemStruct->rcItem;
				dc->BitBlt(0,rb.top,info3.bmWidth,rb.Height(),&Mydc3,0,rb.top,SRCCOPY);
				rb.DeflateRect(2,2);
				rb.DeflateRect(2,2);
				
				dc->SetTextColor(RGB(25,255,255));
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,lpDrawItemStruct->rcItem.top+3,"Kub");
				
				
			break;
			}
			
			case ID_FILE_MAB1:
			{
				
				CRect rb=lpDrawItemStruct->rcItem;
				
				dc->BitBlt(0,rb.top,info3.bmWidth,rb.Height(),&Mydc3,0,rb.top,SRCCOPY);
				rb.DeflateRect(2,2);
				rb.DeflateRect(2,2);
				
				dc->SetTextColor(RGB(25,255,55));
				
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,lpDrawItemStruct->rcItem.top+3,"Sub");
			break;
			}
			case ID_FILE_TAB1:
			{
							
				CRect rb=lpDrawItemStruct->rcItem;
				
				dc->BitBlt(0,rb.top,info3.bmWidth,rb.Height(),&Mydc3,0,rb.top,SRCCOPY);
				rb.DeflateRect(2,2);
				rb.DeflateRect(2,2);
				
				dc->SetTextColor(RGB(55,255,25));
				
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,lpDrawItemStruct->rcItem.top+3,"Dub");
			break;
			}
			case ID_FILE_CAB1:
			{
				
				CRect rb=lpDrawItemStruct->rcItem;
				
				dc->BitBlt(0,rb.top,info3.bmWidth,rb.Height(),&Mydc3,0,rb.top,SRCCOPY);
				rb.DeflateRect(2,2);
				rb.DeflateRect(2,2);				
				dc->SetTextColor(RGB(255,55,255));
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,lpDrawItemStruct->rcItem.top+3,"Mub");
				
				
			break;
			}
			default:
			{
				CRect rb=lpDrawItemStruct->rcItem;
				dc->FillSolidRect(rb,RGB(255,55,255));
			
				dc->SetTextColor(RGB(255,255,255));
				dc->SetBkMode(TRANSPARENT);
				dc->TextOut(lpDrawItemStruct->rcItem.left+15,
					lpDrawItemStruct->rcItem.top+1,"Enjoy");
				
			}
		}
	}
		
	//CDialog::OnDrawItem(nIDCtl, lpDrawItemStruct);
}


 
void CMenuDlg::OnOK() 
{
	CDialog::OnOK();
}

void CMenuDlg::OnLButtonUp(UINT nFlags, CPoint point) 
{

	CDialog::OnLButtonUp(nFlags, point);
}

void CMenuDlg::OnMeasureItem(int nIDCtl, LPMEASUREITEMSTRUCT lpMeasureItemStruct) 
{
	
	switch(lpMeasureItemStruct->itemID)
	{
	case ID_FILE_LAB1:
		{
			lpMeasureItemStruct->itemWidth=60;
			lpMeasureItemStruct->itemHeight=20;
			return;
		}
		break;
	case ID_FILE_MAB1:
		{
			lpMeasureItemStruct->itemWidth=60;
			lpMeasureItemStruct->itemHeight=20;
			return;
		}
		break;
	case ID_FILE_CAB1:
		{
			lpMeasureItemStruct->itemWidth=60;
			lpMeasureItemStruct->itemHeight=20;
			return;
		}
		break;
	case ID_ENJOY1:
	case ID_FILE_TAB1:
		lpMeasureItemStruct->itemWidth=60;
		lpMeasureItemStruct->itemHeight=20;
		return;
		break;
	}


	//CDialog::OnMeasureItem(nIDCtl, lpMeasureItemStruct);
}
